aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/deploy-jars_external-webstarttest.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-21 18:16:24 +0200
committerSven Gothel <[email protected]>2010-04-21 18:16:24 +0200
commit2cb8c65600a1c8cd1b3ea1386b5f1359390f1ccd (patch)
treebfb0b50439e85ea4b1e7d0d92fd7a7d979651254 /make/scripts/deploy-jars_external-webstarttest.sh
parenta122927789d2e19fe753c71110c104ef872042bc (diff)
Add deployment scripts ..
Diffstat (limited to 'make/scripts/deploy-jars_external-webstarttest.sh')
-rwxr-xr-xmake/scripts/deploy-jars_external-webstarttest.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/make/scripts/deploy-jars_external-webstarttest.sh b/make/scripts/deploy-jars_external-webstarttest.sh
new file mode 100755
index 000000000..3fc1daa51
--- /dev/null
+++ b/make/scripts/deploy-jars_external-webstarttest.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+if [ ! -e scripts -o ! -e ../make ] ; then
+ echo start this script from JOGL/jogl/make
+ exit 1
+fi
+
+SOURCE=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$SOURCE" -o -z "$wsdir" ] ; then
+ echo usage $0 source webstartdir
+ echo source might be [email protected]:webstart/
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+echo scp -v $SOURCE*natives* $wsdir
+scp -v $SOURCE*natives* $wsdir